Subject: bug#56499: 28.1; Unable to open large file

From: Juan José García-Ripoll<[email-masked]>
Date: Mon, 11 Jul 2022 19:33:16 +0200

The file is living in OneDrive in Windows 10/11. I will try with other files in the same file system, but it has hit me hard this week, which I am in remote mode.

Juanjo

Eli Zaretskii <[email-masked]> writes:
>> From: Juan José García Ripoll
>>  <[email-masked]>
>> Date: Mon, 11 Jul 2022 19:09:49 +0200
>> 
>> 
>> I am trying to load a file with
>> (find-file-literally "~/OneDrive/Mail/archive/Archives-2017.mbox")
>> either as lisp code or using key commands. Any alternative leads to a
>> lisp error with the following backtrace
>> Debugger entered--Lisp error: (wrong-type-argument arrayp nil)
>>   file-truename(nil)
>>   find-file-noselect-1(#<buffer Archives-2017.mbox<juanj/OneDrive/Mail/archive>> "~/OneDrive/Mail/archive/Archives-2017.mbox" nil t "~/OneDrive/Mail/archive/Archives-2017.mbox" (281474976939729 250058804))
>>   find-file-noselect("~/OneDrive/Mail/archive/Archives-2017.mbox" nil t)
>>   find-file-literally("~/OneDrive/Mail/archive/Archives-2017.mbox")
>>   eval-expression((find-file-literally "~/OneDrive/Mail/archive/Archives-2017.mbox") nil nil 127)
>>   funcall-interactively(eval-expression (find-file-literally "~/OneDrive/Mail/archive/Archives-2017.mbox") nil nil 127)
>>   command-execute(eval-expression)
>> All this was done from a bare emacs (using -Q)
>
> Does this happen with any file?  If not, what is special about this
> file?
>
> It sounds like buffer-file-name is nil for the buffer where the file
> is visited, and I don't think I understand how could that happen with
> a regular file.
>
> In any case, I cannot reproduce this with random files I tried here.

-- 
Juan José García Ripoll

Quantum Information and Foundations Group
Institute of Fundamental Physics IFF-CSIC
Calle Serrano 113b, Madrid 28006 Spain
http://quinfog.hbar.es - http://juanjose.garciaripoll.com